package com.ruoyi.generator.mapper.front;

import java.util.List;
import com.ruoyi.generator.domain.front.FrontProjectTable;

public interface FrontProjectTableMapper
{
    public FrontProjectTable selectFrontProjectTableById(Long tableId);
    public List<FrontProjectTable> selectFrontProjectTableList(FrontProjectTable frontProjectTable);
    public List<FrontProjectTable> selectTablesByProjectId(Long projectId);
    public int insertFrontProjectTable(FrontProjectTable frontProjectTable);
    public int updateFrontProjectTable(FrontProjectTable frontProjectTable);
    public int deleteFrontProjectTableById(Long tableId);
    public int deleteTablesByProjectId(Long projectId);
}
